apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: maas-api-ingress
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /catalyst/maas/api/$2
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
spec:
  rules:
  - http:
      paths:
      - path: /catalyst/maas/api(/|$)(.*)
        backend:
          serviceName:  maas-api-service
          servicePort: 80
